Opened 8 years ago

Closed 8 years ago

Last modified 4 years ago

#1006 closed Task (fixed)

New branch for merge of NOC 2012 developments

Reported by: acc Owned by: acc
Priority: low Milestone:
Component: OCE Version: release-3.4
Severity: Keywords:
Cc: Branch review:
MP ready?: Task progress:

Description


Commit History (12)

ChangesetAuthorTimeChangeLog
3635acc2012-11-22T18:52:43+01:00

Branch dev_NOC_2012_r3555. #1006. Step 13: Merge in trunk changes between revision 3452 and 3555. NOC merge complete subject to final SETTE testing.

3634acc2012-11-22T18:32:14+01:00

Branch dev_NOC_2012_r3555. #1006. Step 11: merge in changes from the 2012/dev_r3452_NOCL02_Smagorinsky branch

3633acc2012-11-22T18:12:53+01:00

Branch dev_NOC_2012_r3555. #1006. Step 10: merge in changes from the 2012/dev_r3452_NOCL06_LOGLAYER branch

3632acc2012-11-22T16:28:42+01:00

Branch dev_NOC_2012_r3555. #1006. Step 9: Merge in trunk changes between revision 3385 and 3452

3631acc2012-11-22T15:21:22+01:00

Branch dev_NOC_2012_r3555. #1006. Step 8. Minor code changes and updated iodef.xml files to enable successful SETTE testing

3625acc2012-11-21T14:19:18+01:00

Branch dev_NOC_2012_r3555. #1006. Step 7. Check in code now merged with dev_r3385_NOCS04_HAMF

3614acc2012-11-20T16:19:12+01:00

Branch dev_NOC_2012_r3555. #1006. Step 6: Minor code changes and updated namelists to enable successful SETTE testing

3610acc2012-11-19T17:00:49+01:00

Branch dev_NOC_2012_r3555. #1006. Step 5: Merge in trunk changes between revision 3337 and 3385

3609acc2012-11-19T16:51:17+01:00

Branch dev_NOC_2012_r3555. #1006. Step 4: Merge in changes from 2012/dev_r3337_NOCS10_ICB (ICeBergs) branch

3608acc2012-11-19T16:40:55+01:00

Branch dev_NOC_2012_r3555. #1006. Step 3: Merge in trunk changes between revision 3322 and 3337

3607acc2012-11-19T16:24:13+01:00

Branch dev_NOC_2012_rev3555. #1006. Step 2: Add changes from the 2012/dev_r3322_NOCS09_SAS (Stand Alone Surface module) branch

3605acc2012-11-19T15:40:12+01:00

Create branch for the merge of all NOC 2012 developments. See ticket #1006. Step 1: copy trunk at lowest revision number used by any of the branches to be merged

Change History (3)

comment:1 Changed 8 years ago by acc

  • Status changed from new to assigned

Created new branch for the merging of the following NOC 2012 developments:

2012/dev_r3322_NOCS09_SAS
2012/dev_r3337_NOCS10_ICB
2012/dev_r3385_NOCS04_HAMF
2012/dev_r3452_NOCL02_Smagorinsky
2012/dev_r3452_NOCL06_LOGLAYER

Stage 1 is a copy of the trunk@3322. Subsequent stages will be documented on wiki:ticket/1006_dev_NOC_2012_rev3555

comment:2 Changed 8 years ago by acc

  • Resolution set to fixed
  • Status changed from assigned to closed
  • Type changed from Bug to Development branch

NOC 2012 merge complete:

2012/dev_r3322_NOCS09_SAS [added to merge at changeset 3607 ]
2012/dev_r3337_NOCS10_ICB [added to merge at changeset 3609 ]
2012/dev_r3385_NOCS04_HAMF [added to merge at changeset 3631 ]

2012/dev_r3452_NOCL06_LOGLAYER [added to merge at changeset 3633 ]
2012/dev_r3452_NOCL02_Smagorinsky [added to merge at changeset 3634 ]

NOC 2012 merge completed and passed SETTE testing (except AGRIF (could not compile) and AMM12 (runs but is not reproducible or restartable)) at revision 3635.

To Do?:
NOCL documentation still missing
New iceberg outputs will need entries in the iodef.xml files

2012/dev_r3452_NOCL01_WettingDrying [Ongoing. On schedule for 2013 ]
2012/dev_r3452_NOCL03_vPPM [postponed to 2013]
2012/dev_r3452_NOCL05_hpgMarsaleix [postponed to 2013]

comment:3 Changed 4 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

Note: See TracTickets for help on using tickets.